console.log("script.js");

//// Variables
var compteur = 0;
var compteurLowdash = 0;



//// Fonctions
// aj le contneu texste d'un élément html
function majCompteurHtml(classe, texte) {
	$(classe).text(texte);
}

// Mouse move classique
function onMouseMove(event) {
	console.log('onMouseMove ! ' + compteur++);
	
	majCompteurHtml('.compteurJS', compteur);
}

// Mouse move classique mais update compteur lodash
function onMouseMoveLowdash(event) {
	console.log('onMouseMove ! ' + compteurLowdash++);
	
	majCompteurHtml('.compteurLowdash', compteurLowdash);
}




/// Execution
$(function() {
    // On va ajouter un evèement mouse move sur l'ensemble de la page, puis le restreindre avec lodash
    
    // Appel mousemove JS classique
    var maPage = $("html");
    maPage.on('mousemove', onMouseMove);

    // Appel avec lodash
    maPage.on('mousemove', _.throttle(onMouseMoveLowdash, 200));

});

